Certbot will be unable to create new ACME accounts

Bug #1837673 reported by Brad Warren on 2019-07-23
26
This bug affects 6 people
Affects Status Importance Assigned to Milestone
python-certbot (Ubuntu)
Undecided
James Hebden
Xenial
High
Andreas Hasenack
Bionic
High
Andreas Hasenack
Disco
Undecided
Unassigned
Eoan
Undecided
James Hebden

Bug Description

[Impact]
To do almost anything in the ACME protocol used by Let's Encrypt and Certbot including obtaining and revoking certificates, you need to first create an account with the ACME server. Starting in November, Certbot will no longer be able to do that with its default configuration. This is because as part of pushing people towards the standardized version of the protocol, Let's Encrypt is no longer letting people create new accounts on their ACMEv1 endpoint. More details about this change can be found at https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430.

What this means for Ubuntu users is that new Certbot installations on affected systems would need to be given the URL of an alternative ACME server in order to work. Existing installations would be unaffected for now as long as they don't deactivate their account or delete its credentials. They will have additional problems in the future due to the additional deprecations described in the link above.

To solve this problem, I recommend backporting the Certbot packages from Cosmic to Bionic and Xenial. There are no breaking changes to the public interfaces between versions and I think this results in the smallest change to the packages that would resolve this problem while sticking to well tested packages.

[Test Case]
The test case will be about requesting a real certificate from Let's Encrypt. You need to make sure the host where you are running these instructions:
- is reachable from the internet on port 80
- has a public IP
- said public IP has a valid DNS record under a public domain name

* install certbot with the apache plugin:
sudo apt install python-certbot-apache certbot

* run the certbot command:
sudo certbot run

* After the question about your email address, it will initiate a connection to an ACME server. The old packages will use a V1 server, like this:
Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org

* The new packages will use a v2 server, like this:
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org

The above (use a v2 server) is the SRU verification in a nutshell. Of course, obtaining the certificate at the end should still work, but we want to verify with this update that the v2 server was used.

Depending on the date this test is run, the acme v1 server might have been deactivated, in which case you will get this error (with the old packages):
Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
An unexpected error occurred:
The client lacks sufficient authorization :: Account creation on ACMEv1 is disabled. Please upgrade your ACME client to a version that supports ACMEv2 / RFC 8555. See https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430 for details.
Please see the logfiles in /var/log/letsencrypt for more details.

* To complete the test, let's test renewing the certificate, and then revoke it:
sudo certbot --dry-run renew

* list certificates, taking note of the certificate path:
sudo certbot certificate

* revoke the certificate, using the certificate path obtained in the previous step:
sudo certbot --cert-path <path-from-previous-step> revoke

* As a final testing step, list the systemd timers, to make sure the certbot one is active:
$ sudo systemctl list-timers
NEXT LEFT LAST PASSED UNIT ACTIVATES
Fri 2019-10-11 04:38:08 UTC 8h left Thu 2019-10-10 19:24:55 UTC 1h 1min ago certbot.timer certbot.service
...

[Regression Potential]
The fix adopted for this bug is a backport from a newer package (cosmic). I included a fix that was found in debian's 0.28 package, but xenial needed more changes:
- not all python3 deps are in xenial, so I had to go back to py2. Upstream gave us their ok (see comment #8)
- debhelper 9 instead of 11, that required some changes too, specially around systemd
- build-depends on sphinx >= 1.6 had to be removed, and was done following upstream's guidance (see comment #6)

[Other Info]
This SRU depends on bug #1836823 being released first, as the newer python-acme is required.

[Original Description]

This bug affects the python-certbot packages in Xenial and Bionic. Cosmic and newer is unaffected.

To do almost anything in the ACME protocol used by Let's Encrypt and Certbot including obtaining and revoking certificates, you need to first create an account with the ACME server. Starting in November, Certbot will no longer be able to do that with its default configuration. This is because as part of pushing people towards the standardized version of the protocol, Let's Encrypt is no longer letting people create new accounts on their ACMEv1 endpoint. More details about this change can be found at https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430.

What this means for Ubuntu users is that new Certbot installations on affected systems would need to be given the URL of an alternative ACME server in order to work. Existing installations would be unaffected for now as long as they don't deactivate their account or delete its credentials. They will have additional problems in the future due to the additional deprecations described in the link above.

To solve this problem, I recommend backporting the Certbot packages from Cosmic to Bionic and Xenial. There are no breaking changes to the public interfaces between versions and I think this results in the smallest change to the packages that would resolve this problem while sticking to well tested packages.

Related branches

Robie Basak (racb) on 2019-07-23
Changed in python-certbot (Ubuntu Xenial):
status: New → Triaged
Changed in python-certbot (Ubuntu Bionic):
status: New → Triaged
Changed in python-certbot (Ubuntu Xenial):
importance: Undecided → High
Changed in python-certbot (Ubuntu Bionic):
importance: Undecided → High
Brad Warren (bradmwarren) wrote :

I forgot to mention two potential hurdles:

1. python-acme needs to be updated before backporting python-certbot. This needs to be done anyway by November though as described at https://bugs.launchpad.net/ubuntu/+source/python-acme/+bug/1836823.
2. One potential problem for Xenial is that the version of the python-certbot-doc package in Cosmic built from this python-certbot package requires Sphinx >= 1.6 which is not available in Xenial. If continuing to offer this python-certbot-doc package on Xenial is important, I can probably suggest how to change the upstream code in this package to keep the docs building with the old version of Sphinx.

James Hebden (ec0) on 2019-07-26
Changed in python-certbot (Ubuntu):
assignee: nobody → James Hebden (ec0)
Changed in python-certbot (Ubuntu Xenial):
assignee: nobody → James Hebden (ec0)
Changed in python-certbot (Ubuntu Bionic):
assignee: nobody → James Hebden (ec0)
Robie Basak (racb) wrote :

James, have you managed to make any progress on these SRUs yet please?

Brad Warren (bradmwarren) wrote :

Let's Encrypt just announced brown-outs where they will be temporarily making this change at https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430/3.

Andreas Hasenack (ahasenack) wrote :

> To solve this problem, I recommend backporting the Certbot packages from Cosmic to Bionic
> and Xenial.

Cosmic, which is EOL now, had 0.27.0-1:

python-certbot (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Refresh patch after upstream migration to codecov
  * Bump python-sphinx requirement defensively; bump S-V with no changes
  * Bump dep on python-acme to 0.26.0~

 -- Harlan Lieberman-Berg <email address hidden> Wed, 05 Sep 2018 20:29:44 -0400

Noted the python-acme >= 0.26.0~ requirement. B and X have 0.22.2-1something, and also as noted, but #1836823 is bumping that to 0.31.0-2.

Changed in python-certbot (Ubuntu Disco):
status: New → Fix Released
Changed in python-certbot (Ubuntu Eoan):
status: New → Fix Released
Andreas Hasenack (ahasenack) wrote :

PPA with test packages (still building certbot for bionic atm): https://launchpad.net/~ahasenack/+archive/ubuntu/october-certbot-sru/

Brad Warren (bradmwarren) wrote :

To fix the issues building the python-certbot-doc package on Xenial, you essentially want to revert the commit https://github.com/certbot/certbot/commit/d8057f0e17dc757fae662dad91a6fedc96ad6a2d.

Andreas Hasenack (ahasenack) wrote :

There are other changes needed in the backport from cosmic. Specifically, python3 support.

The xenial certbot packages are py2 currently, and not all py3 dependencies needed by the cosmic package are available in xenial. These two are missing:

- python3-parsedatetime
- python3-repoze.sphinx.autointerface

Their py2 counterparts are of course available, but this means we won't be producing python3-certbot packages, just python-certbot (if 0.27.0 works with py2, that is).

Brad Warren (bradmwarren) wrote :

> Their py2 counterparts are of course available, but this means we won't be producing python3-certbot packages, just python-certbot (if 0.27.0 works with py2, that is).

I personally think this is fine. We just have to make sure the "certbot" package depends on and uses python-certbot rather than python3-certbot in Xenial.

0.27.0 still works with Python 2.

Andreas Hasenack (ahasenack) wrote :

py2 build updated and uploaded to the ppa

Andreas Hasenack (ahasenack) wrote :

Ok, this ppa is ready for testing:

https://launchpad.net/~ahasenack/+archive/ubuntu/october-certbot-sru/

Or:

sudo add-apt-repository ppa:ahasenack/october-certbot-sru

I was able to verify today that the existing xenial client indeed stopped working (we are in the first brown-out day):
Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
An unexpected error occurred:
The client lacks sufficient authorization :: Account creation on ACMEv1 is disabled. Please upgrade your ACME client to a version that supports ACMEv2 / RFC 8555. See https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430 for details.
Please see the logfiles in /var/log/letsencrypt for more details.

I then upgraded to the packages from the ppa, re-ran "certbot run", and then it used the acmev2 endpoint and worked.

For the actual sru verification I'll just have the verifier check the url that is used, as the v1 endpoint will probably be active by then again (unless this update misses the deadline).

Changed in python-certbot (Ubuntu Xenial):
assignee: James Hebden (ec0) → Andreas Hasenack (ahasenack)
Changed in python-certbot (Ubuntu Bionic):
assignee: James Hebden (ec0) → Andreas Hasenack (ahasenack)
Changed in python-certbot (Ubuntu Xenial):
status: Triaged → In Progress
Changed in python-certbot (Ubuntu Bionic):
status: Triaged → In Progress
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Brad Warren (bradmwarren) wrote :

I tested the packages in the PPA on Ubuntu 16.04 and 18.04 using the steps described at https://wiki.ubuntu.com/StableReleaseUpdates/Certbot#SRU_Verification_Process.

When testing, if you start with a clean /var/log/letsencrypt directory and don't include any flags to change the default server such as --staging, --test-cert, --server, the following command should have no output:

grep 'acme-v01.api.letsencrypt.org' /var/log/letsencrypt/*

I successfully ran https://wiki.ubuntu.com/StableReleaseUpdates/Certbot/TestScript on each system, but if anyone else wants to do this, you first have to install all Certbot packages and set the environment variable CERTBOT_PREINSTALLED=1 otherwise the script will try to install from proposed-updates.

I also had to introduce an environment variable into the script to pin the version of boulder (Let's Encrypt's ACME server software) used for testing. Their most recent version has dropped support for features that are still included in Certbot and tested in the current script. The value I used here is BOULDERBRANCH="release-2019-03-11" which I believe is the most recent tag that works.

The output of dpkg-query at the end of the script about tested packages was:

On 18.04:

certbot 0.27.0-1~ubuntu18.04.1~ppa3
letsencrypt 0.27.0-1~ubuntu18.04.1~ppa3
python3-acme 0.31.0-2~ubuntu18.04.1~ppa3
python3-certbot 0.27.0-1~ubuntu18.04.1~ppa3
python3-certbot-apache 0.23.0-1
python3-certbot-nginx 0.23.0-1
python3-josepy 1.1.0-1

On 16.04:

certbot 0.27.0-1~ubuntu16.04.1~ppa3
letsencrypt 0.27.0-1~ubuntu16.04.1~ppa3
python-acme 0.31.0-2~ubuntu16.04.1~ppa2
python-certbot 0.27.0-1~ubuntu16.04.1~ppa3
python-certbot-apache 0.23.0-1~ubuntu16.04.1
python-josepy 1.1.0-1~ubuntu16.04.1
python-letsencrypt 0.7.0-0ubuntu0.16.04.1
python-letsencrypt-apache 0.7.0-0ubuntu0.16.04.1

Hello Brad, or anyone else affected,

Accepted python-certbot into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-certbot/0.27.0-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-certbot (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in python-certbot (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Robie Basak (racb) wrote :

Hello Brad, or anyone else affected,

Accepted python-certbot into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-certbot/0.27.0-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brad Warren (bradmwarren) wrote :

I tested this finding no problems using the same approach described in https://bugs.launchpad.net/ubuntu/+source/python-certbot/+bug/1837673/comments/11.

The output of dpkg-query about the relevant installed packages was:

Xenial:
certbot 0.27.0-1~ubuntu16.04.1
letsencrypt 0.27.0-1~ubuntu16.04.1
python-acme 0.31.0-2~ubuntu16.04.1
python-certbot 0.27.0-1~ubuntu16.04.1
python-certbot-apache 0.23.0-1~ubuntu16.04.1
python-josepy 1.1.0-1~ubuntu16.04.1
python-letsencrypt 0.7.0-0ubuntu0.16.04.1
python-letsencrypt-apache 0.7.0-0ubuntu0.16.04.1

Bionic:
certbot 0.27.0-1~ubuntu18.04.1
letsencrypt 0.27.0-1~ubuntu18.04.1
python3-acme 0.31.0-2~ubuntu18.04.1
python3-certbot 0.27.0-1~ubuntu18.04.1
python3-certbot-apache 0.23.0-1
python3-certbot-nginx 0.23.0-1
python3-josepy 1.1.0-1

Andreas Hasenack (ahasenack) wrote :
Download full text (4.2 KiB)

My xenial verification

First, reproducing the problem:
$ sudo certbot run
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator apache, Installer apache
Enter email address (used for urgent renewal and security notices) (Enter 'c' to
cancel): <email address hidden>
Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
(...)

I stopped there, as today the v1 endpoint is working, but this bug is about changing certbot to use v2, so the above, even though it didn't fail, is enough to confirm it's using v1.

So I cancel, and upgrade to the version in proposed:

 *** 0.27.0-1~ubuntu16.04.1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 Packages

And now it uses v2:
$ sudo certbot run
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator apache, Installer apache
Enter email address (used for urgent renewal and security notices) (Enter 'c' to
cancel): <email address hidden>
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org
(...)

Testing fake renewal works:
$ sudo certbot --dry-run renew
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Processing /etc/letsencrypt/renewal/certbot-test.justgohome.co.uk.conf
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Cert not due for renewal, but simulating renewal for dry run
Plugins selected: Authenticator apache, Installer apache
Starting new HTTPS connection (1): acme-staging-v02.api.letsencrypt.org
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for certbot-test.justgohome.co.uk
Enabled Apache rewrite module
Waiting for verification...
Cleaning up challenges

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
new certificate deployed with reload of apache server; fullchain is
/etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
** DRY RUN: simulating 'certbot renew' close to cert expiry
** (The test certificates below have not been saved.)

Congratulations, all renewals succeeded. The following certs have been renewed:
  /etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem (success)
** DRY RUN: simulating 'certbot renew' close to cert expiry
** (The test certificates above have not been saved.)
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

IMPORTANT NOTES:
 - Your account credentials have been saved in your Certbot
   configuration directory at /etc/letsencrypt. You should make a
   secure backup of this folder now. This configuration directory will
   also contain certificates and private keys obtained by Certbot so
   making regular backups of this folder is ideal.

Now let's revoke it (note it also uses the v2 endpoint):
$ sudo certbot --cert-path /etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem revoke
Saving debug log to /var/log/letsenc...

Read more...

tags: added: verification-done-xenial
removed: verification-needed-xenial
Andreas Hasenack (ahasenack) wrote :

bionic verification

Verifying current version uses the v1 endpoint:
$ sudo certbot run
...
In bionic, for some reason (debug level?) the acme url is not shown in the normal output, so I checked the log at /var/log/letsencrypt/letsencrypt.log and there it was, v1 was used:

2019-10-25 21:15:35,657:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org

Now let's update to the packages in proposed:
 *** 0.27.0-1~ubuntu18.04.1 500
        500 http://us.archive.ubuntu.com/ubuntu bionic-proposed/universe amd64 Packages

And run again:

$ sudo certbot run
(...)

This time the log shows v2 was used:
2019-10-25 21:22:33,050:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org

Testing fake renew also uses v02 and works:
$ sudo certbot --dry-run renew
(...)
** DRY RUN: simulating 'certbot renew' close to cert expiry
** (The test certificates below have not been saved.)

Congratulations, all renewals succeeded. The following certs have been renewed:
  /etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem (success)
** DRY RUN: simulating 'certbot renew' close to cert expiry
** (The test certificates above have not been saved.)
(...)

Revoking:
$ sudo certbot revoke --cert-path /etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Would you like to delete the cert(s) you just revoked?
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
(Y)es (recommended)/(N)o: y

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Deleted all files relating to certificate certbot-test.justgohome.co.uk.
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Congratulations! You have successfully revoked the certificate that was located
at /etc/letsencrypt/live/certbot-test.justgohome.co.uk/fullchain.pem

Bionic verification succeeded.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Andreas Hasenack (ahasenack) wrote :

Please remember that this update can only be released after #1836823 is released as well.

tags: removed: verification-needed
Brad Warren (bradmwarren) wrote :

Just a reminder that in https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430/3, Let's Encrypt moved the date where they would be making this change permanently to October 31st instead of November 1st.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-certbot - 0.27.0-1~ubuntu18.04.1

---------------
python-certbot (0.27.0-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic (LP: #1837673):
    - d/letsencrypt.postrm: purging the transitional package shouldn't
      remove the logs (Closes: #921423)

python-certbot (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Refresh patch after upstream migration to codecov
  * Bump python-sphinx requirement defensively; bump S-V with no changes
  * Bump dep on python-acme to 0.26.0~

python-certbot (0.26.1-1) unstable; urgency=medium

  * New upstream release.

python-certbot (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump S-V; add R-R-R: no

python-certbot (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Bump python-acme dep version.

python-certbot (0.24.0-2) unstable; urgency=medium

  * Update team email address. (Closes: #899858)

python-certbot (0.24.0-1) unstable; urgency=medium

  * Add OR to dep on python-distutils for stretch-bpo
  * New upstream version 0.24.0
  * Bump version dep on python3-acme

 -- Andreas Hasenack <email address hidden> Thu, 10 Oct 2019 20:57:31 +0000

Changed in python-certbot (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for python-certbot has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-certbot - 0.27.0-1~ubuntu16.04.1

---------------
python-certbot (0.27.0-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1837673):
    - d/control, d/compat: go back to debhelper 9, and drop R³
    - d/p/0002-revert-sphinx-1.6-requirement.patch: revert upstream change
      that allows build with sphinx 1.6
    - d/control: drop requirement on version 1.6 or higher of sphinx
    - d/control, d/rules: go back to python2
    - d/python-certbot-doc.doc-base: go back to the py2 package
    - d/python-certbot.lintian-overrides: go back to python2
    - d/rules: add systemd to debhelper, since it's not automatic on this
      dh level
    - d/control: build-dep on systemd
    - d/rules: no need to explicitly install examples/docs
    - d/rules: install certbot.timer as dh-systemd in Xenial doesn't do it
    - d/rules: go back to dh_systemd_enable and dh_systemd_start since
      dh_installsystemd is only available in debhelper 11 and later
    - d/letsencrypt.postrm: purging the transitional package shouldn't
      remove the logs (Closes: #921423)

python-certbot (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * Refresh patch after upstream migration to codecov
  * Bump python-sphinx requirement defensively; bump S-V with no changes
  * Bump dep on python-acme to 0.26.0~

python-certbot (0.26.1-1) unstable; urgency=medium

  * New upstream release.

python-certbot (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump S-V; add R-R-R: no

python-certbot (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Bump python-acme dep version.

python-certbot (0.24.0-2) unstable; urgency=medium

  * Update team email address. (Closes: #899858)

python-certbot (0.24.0-1) unstable; urgency=medium

  * Add OR to dep on python-distutils for stretch-bpo
  * New upstream version 0.24.0
  * Bump version dep on python3-acme

python-certbot (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Add testdata back in to prevent test failure in RDeps. (Closes: #894025)
  * Bump S-V; no changes needed.

 -- Andreas Hasenack <email address hidden> Thu, 17 Oct 2019 21:03:01 +0000

Changed in python-certbot (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers